Bug 11731 - smbd spikes CPU to 100% then process dies
smbd spikes CPU to 100% then process dies
Status: NEW
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.3.3
x64 FreeBSD
: P5 major
: ---
Assigned To: Samba QA Contact
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 14:02 UTC by snackmasterx
Modified: 2016-02-12 12:55 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description snackmasterx 2016-02-11 14:02:02 UTC
Environment:
FreeBSD 10.2-p9 (only functions are ZFS with dedup/compression and SMB/NFS)
AD authentication configured
Samba 4.3.3
Windows Server 2012 R2 (fully updated)

I'm seeing high CPU utilization when performing file copy operations from my samba share to my windows server, and they always seem to hang at 322kb copied from my samba share to my local system. When the copy hangs I can use top and watch CPU utilization for smbd climb to 100% where it will just sit for a while. If I wait long enough, then I will receive an error from Windows stating there "an unexpected network error has occurred" and smbd will no longer be at 100%. Alternately, if I cancel the copy operation from the windows side then I will watch smbd stay at 100% for some time before eventually disappearing. I'm unsure if the process crashes entirely or is just returning to a normal state.

That said, I don't seem to have any issues copying data to the samba share from my Windows Server. I can also access data on the zpool from FreeBSD. I have tried restarting the samba server and even the entire FreeBSD system, but the behavior seems to remain unchanged.


I've configured samba for AD user authentication which seems to be working flawlessly. I am using a domain user to perform my testing

I used google and a lot of web sites until I finally managed to get this working, so it wouldn't surprise me if this behavior was somehow due to a poorly configured smb4.conf so please let me know if this seems like it could be contributing to the issue:

==========BEGIN SMB4.CONF==========

[global]

  case sensitive = yes
  unix extensions = no
  nt acl support = yes
  inherit acls = no
  map acl inherit = yes

       netbios name = HOSTNAME
       security = ADS
       workgroup = REALM
       realm = REALM.LOCAL
       socket options = TCP_NODELAY IPTOS_LOWDELAY SO_RCVBUF=131072 SO_SNDBUF=131072
       use sendfile = true

       log file = /var/log/samba43/log.%m
       log level = 1
       max log size = 50

       dedicated keytab file = /etc/krb5.keytab
       kerberos method = secrets and keytab

       idmap config * : backend = tdb
       idmap config * : range = 100000-299999
       idmap config REALM : backend = rid
       idmap config REALM : range = 10000-99999

       winbind separator = +
       winbind use default domain = yes
       winbind enum users  = yes
       winbind enum groups = yes
       winbind use default domain = yes
       winbind refresh tickets = yes



[storage]
   comment = Storage Share
   path = /transition/storage
   available = yes
   browsable = yes
   read only = no
   public = no
   guest ok = no
   writable = yes
   force group = "Domain Users"
   directory mask = 0770
   force directory mode = 0770
   create mask = 0660
   force create mode = 0660

==========END OF FILE==========

I've also been trying to resolve this via the FreeBSD forums but not making very much progress. I did also find a log file which seems to generate during the copy operation:


==========/var/log/samba43/log.XXX.XXX.XXX.XXX==========
root@Atlas:~ # cat /var/log/samba43/log.XXX.XXX.XXX.XXX
[2016/02/10 13:49:05.643688,  3] ../source3/smbd/oplock.c:1308(init_oplocks)
  init_oplocks: initializing messages.
[2016/02/10 13:49:05.643982,  3] ../source3/smbd/process.c:1880(process_smb)
  Transaction 0 of length 159 (0 toread)
[2016/02/10 13:49:05.644040,  3] ../source3/smbd/process.c:1490(switch_message)
  switch message SMBnegprot (pid 733) conn 0x0
[2016/02/10 13:49:05.646705,  3] ../source3/smbd/negprot.c:575(reply_negprot)
  Requested protocol [PC NETWORK PROGRAM 1.0]
[2016/02/10 13:49:05.646745,  3] ../source3/smbd/negprot.c:575(reply_negprot)
  Requested protocol [LANMAN1.0]
[2016/02/10 13:49:05.646799,  3] ../source3/smbd/negprot.c:575(reply_negprot)
  Requested protocol [Windows for Workgroups 3.1a]
[2016/02/10 13:49:05.646828,  3] ../source3/smbd/negprot.c:575(reply_negprot)
  Requested protocol [LM1.2X002]
[2016/02/10 13:49:05.646857,  3] ../source3/smbd/negprot.c:575(reply_negprot)
  Requested protocol [LANMAN2.1]
[2016/02/10 13:49:05.646886,  3] ../source3/smbd/negprot.c:575(reply_negprot)
  Requested protocol [NT LM 0.12]
[2016/02/10 13:49:05.646943,  3] ../source3/smbd/negprot.c:575(reply_negprot)
  Requested protocol [SMB 2.002]
[2016/02/10 13:49:05.646971,  3] ../source3/smbd/negprot.c:575(reply_negprot)
  Requested protocol [SMB 2.???]
[2016/02/10 13:49:05.647442,  3] ../source3/smbd/smb2_negprot.c:269(smbd_smb2_request_process_negprot)
  Selected protocol SMB2_FF
[2016/02/10 13:49:05.649667,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'gssapi_spnego' registered
[2016/02/10 13:49:05.649725,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'gssapi_krb5' registered
[2016/02/10 13:49:05.649755,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'gssapi_krb5_sasl' registered
[2016/02/10 13:49:05.649789,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'spnego' registered
[2016/02/10 13:49:05.649834,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'schannel' registered
[2016/02/10 13:49:05.649869,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'naclrpc_as_system' registered
[2016/02/10 13:49:05.649916,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'sasl-EXTERNAL' registered
[2016/02/10 13:49:05.649949,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'ntlmssp' registered
[2016/02/10 13:49:05.650004,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'http_basic' registered
[2016/02/10 13:49:05.650039,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'http_ntlm' registered
[2016/02/10 13:49:05.650096,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'krb5' registered
[2016/02/10 13:49:05.650125,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'fake_gssapi_krb5' registered
[2016/02/10 13:49:05.785454,  3] ../source3/smbd/negprot.c:683(reply_negprot)
  Selected protocol SMB 2.???
[2016/02/10 13:49:05.785961,  3] ../source3/smbd/smb2_negprot.c:269(smbd_smb2_request_process_negprot)
  Selected protocol SMB3_02
[2016/02/10 13:49:06.026856,  3] ../auth/kerberos/kerberos_pac.c:387(kerberos_decode_pac)
  Found account name from PAC: Administrator []
[2016/02/10 13:49:06.026915,  3] ../source3/auth/user_krb5.c:51(get_user_from_kerberos_info)
  Kerberos ticket principal name is [Administrator@DOMAIN.LOCAL]
[2016/02/10 13:49:06.035475,  3] ../source3/param/loadparm.c:3720(lp_load_ex)
  lp_load_ex: refreshing parameters
[2016/02/10 13:49:06.035742,  3] ../source3/param/loadparm.c:565(init_globals)
  Initialising global parameters
[2016/02/10 13:49:06.035954,  3] ../source3/param/loadparm.c:2656(lp_do_section)
  Processing section "[global]"
[2016/02/10 13:49:06.036613,  2] ../source3/param/loadparm.c:2673(lp_do_section)
  Processing section "[testshare]"
[2016/02/10 13:49:06.036763,  2] ../source3/param/loadparm.c:2673(lp_do_section)
  Processing section "[storage]"
[2016/02/10 13:49:06.036983,  3] ../source3/param/loadparm.c:1574(lp_add_ipc)
  adding IPC service
[2016/02/10 13:49:06.039147,  3] ../source3/smbd/password.c:144(register_homes_share)
  Adding homes service for user 'DOMAIN+administrator' using home directory: '/home/DOMAIN/administrator'
[2016/02/10 13:49:06.040492,  3] ../source3/lib/access.c:338(allow_access)
  Allowed connection from XXX.XXX.XXX.XXX (XXX.XXX.XXX.XXX)
[2016/02/10 13:49:06.040627,  3] ../source3/smbd/service.c:614(make_connection_snum)
  Connect path is '/tmp' for service [IPC$]
[2016/02/10 13:49:06.040701,  3] ../source3/smbd/vfs.c:113(vfs_init_default)
  Initialising default vfs hooks
[2016/02/10 13:49:06.040923,  3] ../source3/smbd/vfs.c:139(vfs_init_custom)
  Initialising custom vfs hooks from [/[Default VFS]/]
[2016/02/10 13:49:06.041230,  3] ../source3/smbd/service.c:864(make_connection_snum)
  XXX.XXX.XXX.XXX (ipv4:XXX.XXX.XXX.XXX:62817) connect to service IPC$ initially as user DOMAIN+administrator (uid=10500, gid=10513) (pid 733)
[2016/02/10 13:49:06.043999,  3] ../source3/rpc_server/srv_pipe.c:614(api_pipe_bind_req)
  api_pipe_bind_req: wkssvc -> wkssvc rpc service
[2016/02/10 13:49:06.044059,  3] ../source3/rpc_server/srv_pipe.c:344(check_bind_req)
  check_bind_req for wkssvc
[2016/02/10 13:49:06.044095,  3] ../source3/rpc_server/srv_pipe.c:351(check_bind_req)
  check_bind_req: wkssvc -> wkssvc rpc service
[2016/02/10 13:49:06.044733,  3] ../source3/rpc_server/srv_pipe.c:1260(api_rpcTNP)
  api_rpcTNP: rpc command: WKSSVC_NETWKSTAGETINFO
[2016/02/10 13:49:06.069072,  3] ../source3/rpc_server/srv_pipe.c:614(api_pipe_bind_req)
  api_pipe_bind_req: srvsvc -> srvsvc rpc service
[2016/02/10 13:49:06.069176,  3] ../source3/rpc_server/srv_pipe.c:344(check_bind_req)
  check_bind_req for srvsvc
[2016/02/10 13:49:06.069213,  3] ../source3/rpc_server/srv_pipe.c:351(check_bind_req)
  check_bind_req: srvsvc -> srvsvc rpc service
[2016/02/10 13:49:06.069772,  3] ../source3/rpc_server/srv_pipe.c:1260(api_rpcTNP)
  api_rpcTNP: rpc command: SRVSVC_NETSRVGETINFO
[2016/02/10 13:49:06.310243,  3] ../source3/rpc_server/srv_pipe.c:614(api_pipe_bind_req)
  api_pipe_bind_req: srvsvc -> srvsvc rpc service
[2016/02/10 13:49:06.310425,  3] ../source3/rpc_server/srv_pipe.c:344(check_bind_req)
  check_bind_req for srvsvc
[2016/02/10 13:49:06.310463,  3] ../source3/rpc_server/srv_pipe.c:351(check_bind_req)
  check_bind_req: srvsvc -> srvsvc rpc service
[2016/02/10 13:49:06.311395,  3] ../source3/rpc_server/srv_pipe.c:1260(api_rpcTNP)
  api_rpcTNP: rpc command: SRVSVC_NETSHAREENUMALL
[2016/02/10 13:49:08.664323,  3] ../source3/lib/access.c:338(allow_access)
  Allowed connection from XXX.XXX.XXX.XXX (XXX.XXX.XXX.XXX)
[2016/02/10 13:49:08.664722,  3] ../source3/smbd/service.c:614(make_connection_snum)
  Connect path is '/samba/testshare' for service [testshare]
[2016/02/10 13:49:08.664821,  3] ../source3/smbd/vfs.c:113(vfs_init_default)
  Initialising default vfs hooks
[2016/02/10 13:49:08.664855,  3] ../source3/smbd/vfs.c:139(vfs_init_custom)
  Initialising custom vfs hooks from [/[Default VFS]/]
[2016/02/10 13:49:08.665419,  2] ../source3/smbd/service.c:864(make_connection_snum)
  XXX.XXX.XXX.XXX (ipv4:XXX.XXX.XXX.XXX:62817) connect to service testshare initially as user DOMAIN+administrator (uid=10500, gid=10513) (pid 733)
[2016/02/10 13:49:08.669194,  3] ../source3/rpc_server/srv_pipe.c:614(api_pipe_bind_req)
  api_pipe_bind_req: srvsvc -> srvsvc rpc service
[2016/02/10 13:49:08.669236,  3] ../source3/rpc_server/srv_pipe.c:344(check_bind_req)
  check_bind_req for srvsvc
[2016/02/10 13:49:08.669266,  3] ../source3/rpc_server/srv_pipe.c:351(check_bind_req)
  check_bind_req: srvsvc -> srvsvc rpc service
[2016/02/10 13:49:08.669911,  3] ../source3/rpc_server/srv_pipe.c:1260(api_rpcTNP)
  api_rpcTNP: rpc command: SRVSVC_NETSHAREGETINFO
[2016/02/10 13:49:08.708136,  3] ../source3/smbd/smb2_notify.c:250(smbd_smb2_notify_send)
  smbd_smb2_notify_send: notify change called on ., filter = FILE_NAME|DIR_NAME|ATTRIBUTES|LAST_WRITE, recursive = 0
[2016/02/10 13:49:08.748397,  3] ../source3/smbd/dir.c:628(dptr_create)
  creating new dirptr 0 for path ., expect_close = 0
[2016/02/10 13:49:08.748743,  3] ../source3/smbd/dir.c:1187(smbd_dirptr_get_entry)
  smbd_dirptr_get_entry mask=[*] found . fname=. (.)
[2016/02/10 13:49:08.749142,  3] ../source3/smbd/dir.c:1187(smbd_dirptr_get_entry)
  smbd_dirptr_get_entry mask=[*] found .. fname=.. (..)
[2016/02/10 13:49:08.749241,  3] ../source3/smbd/dir.c:1187(smbd_dirptr_get_entry)
  smbd_dirptr_get_entry mask=[*] found WinMD5.exe fname=WinMD5.exe (WinMD5.exe)
[2016/02/10 13:49:08.749330,  3] ../source3/smbd/dir.c:1187(smbd_dirptr_get_entry)
  smbd_dirptr_get_entry mask=[*] found New Text Document.txt fname=New Text Document.txt (New Text Document.txt)
[2016/02/10 13:49:15.070376,  3] ../source3/smbd/trans2.c:3250(smbd_do_qfsinfo)
  smbd_do_qfsinfo: level = 1007
[2016/02/10 13:49:15.073148,  3] ../source3/lib/sysquotas.c:433(sys_get_quota)
  sys_get_vfs_quota() failed for mntpath[.] bdev[(null)] qtype[2] id[10500]: Operation not supported
[2016/02/10 13:49:15.073269,  3] ../source3/lib/sysquotas.c:433(sys_get_quota)
  sys_get_vfs_quota() failed for mntpath[.] bdev[(null)] qtype[4] id[10513]: Operation not supported
[2016/02/10 13:49:15.077433,  2] ../source3/smbd/open.c:1005(open_file)
  DOMAIN+administrator opened file WinMD5.exe read=Yes write=No (numopen=3)
[2016/02/10 13:49:15.078532,  1] ../source3/modules/vfs_posixacl.c:172(smb_ace_to_internal)
  ACL tag type ACL_EVERYONE. FreeBSD with ZFS? Use 'vfs objects = zfsacl'
[2016/02/10 13:49:15.078607,  3] ../source3/smbd/nttrans.c:1965(smbd_do_query_security_desc)
  smbd_do_query_security_desc: sd_size = 20.
[2016/02/10 13:49:15.081621,  3] ../source3/smbd/trans2.c:3250(smbd_do_qfsinfo)
  smbd_do_qfsinfo: level = 1001
[2016/02/10 13:49:15.081697,  3] ../source3/smbd/trans2.c:3250(smbd_do_qfsinfo)
  smbd_do_qfsinfo: level = 1005
[2016/02/10 13:49:15.082718,  2] ../source3/modules/vfs_default.c:1396(vfswrap_fsctl)
  vfswrap_fsctl (0x94264): Currently not implemented.
[2016/02/10 13:49:15.131276,  3] ../source3/smbd/smb2_read.c:261(smb2_sendfile_send_data)
  send_file_readX: sendfile sent zero bytes falling back to the normal read: WinMD5.exe
[2016/02/10 13:49:15.142069,  3] ../source3/smbd/smb2_read.c:261(smb2_sendfile_send_data)
  send_file_readX: sendfile sent zero bytes falling back to the normal read: WinMD5.exe
[2016/02/10 13:50:18.143824,  0] ../source3/smbd/reply.c:3161(fake_sendfile)
  write_data failed for client ipv4:XXX.XXX.XXX.XXX:62817. Error Connection reset by peer
[2016/02/10 13:50:18.144239,  0] ../source3/smbd/smb2_read.c:290(smb2_sendfile_send_data)
  smb2_sendfile_send_data: fake_sendfile failed for file WinMD5.exe (Connection reset by peer) for client ipv4:XXX.XXX.XXX.XXX:62817. Terminating
[2016/02/10 13:50:18.145315,  2] ../source3/smbd/close.c:780(close_normal_file)
  DOMAIN+administrator closed file WinMD5.exe (numopen=2) NT_STATUS_OK
[2016/02/10 13:50:18.145923,  3] ../source3/smbd/service.c:1140(close_cnum)
  XXX.XXX.XXX.XXX (ipv4:XXX.XXX.XXX.XXX:62817) closed connection to service IPC$
[2016/02/10 13:50:18.146097,  2] ../source3/smbd/service.c:1140(close_cnum)
  XXX.XXX.XXX.XXX (ipv4:XXX.XXX.XXX.XXX:62817) closed connection to service testshare
[2016/02/10 13:50:18.147612,  3] ../source3/smbd/server_exit.c:252(exit_server_common)
  Server exit (NT_STATUS_CONNECTION_RESET)
[2016/02/10 13:50:18.159584,  3] ../source3/smbd/oplock.c:1308(init_oplocks)
  init_oplocks: initializing messages.
[2016/02/10 13:50:18.159798,  3] ../source3/smbd/process.c:1880(process_smb)
  Transaction 0 of length 112 (0 toread)
[2016/02/10 13:50:18.160198,  3] ../source3/smbd/smb2_negprot.c:269(smbd_smb2_request_process_negprot)
  Selected protocol SMB3_02
[2016/02/10 13:50:18.163034,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'gssapi_spnego' registered
[2016/02/10 13:50:18.163078,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'gssapi_krb5' registered
[2016/02/10 13:50:18.163108,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'gssapi_krb5_sasl' registered
[2016/02/10 13:50:18.163143,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'spnego' registered
[2016/02/10 13:50:18.163224,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'schannel' registered
[2016/02/10 13:50:18.163260,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'naclrpc_as_system' registered
[2016/02/10 13:50:18.163293,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'sasl-EXTERNAL' registered
[2016/02/10 13:50:18.163335,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'ntlmssp' registered
[2016/02/10 13:50:18.163406,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'http_basic' registered
[2016/02/10 13:50:18.163441,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'http_ntlm' registered
[2016/02/10 13:50:18.163474,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'krb5' registered
[2016/02/10 13:50:18.163503,  3] ../auth/gensec/gensec_start.c:899(gensec_register)
  GENSEC backend 'fake_gssapi_krb5' registered
[2016/02/10 13:50:18.415847,  3] ../auth/kerberos/kerberos_pac.c:387(kerberos_decode_pac)
  Found account name from PAC: Administrator []
[2016/02/10 13:50:18.415952,  3] ../source3/auth/user_krb5.c:51(get_user_from_kerberos_info)
  Kerberos ticket principal name is [Administrator@DOMAIN.LOCAL]
[2016/02/10 13:50:18.418862,  3] ../source3/param/loadparm.c:3720(lp_load_ex)
  lp_load_ex: refreshing parameters
[2016/02/10 13:50:18.419071,  3] ../source3/param/loadparm.c:565(init_globals)
  Initialising global parameters
[2016/02/10 13:50:18.419334,  3] ../source3/param/loadparm.c:2656(lp_do_section)
  Processing section "[global]"
[2016/02/10 13:50:18.419986,  2] ../source3/param/loadparm.c:2673(lp_do_section)
  Processing section "[testshare]"
[2016/02/10 13:50:18.420135,  2] ../source3/param/loadparm.c:2673(lp_do_section)
  Processing section "[storage]"
[2016/02/10 13:50:18.420366,  3] ../source3/param/loadparm.c:1574(lp_add_ipc)
  adding IPC service
[2016/02/10 13:50:18.422066,  3] ../source3/smbd/password.c:144(register_homes_share)
  Adding homes service for user 'DOMAIN+administrator' using home directory: '/home/DOMAIN/administrator'
[2016/02/10 13:50:18.423240,  3] ../source3/lib/access.c:338(allow_access)
  Allowed connection from XXX.XXX.XXX.XXX (XXX.XXX.XXX.XXX)
[2016/02/10 13:50:18.423406,  3] ../source3/smbd/service.c:614(make_connection_snum)
  Connect path is '/samba/testshare' for service [testshare]
[2016/02/10 13:50:18.423495,  3] ../source3/smbd/vfs.c:113(vfs_init_default)
  Initialising default vfs hooks
[2016/02/10 13:50:18.423660,  3] ../source3/smbd/vfs.c:139(vfs_init_custom)
  Initialising custom vfs hooks from [/[Default VFS]/]
[2016/02/10 13:50:18.424003,  2] ../source3/smbd/service.c:864(make_connection_snum)
  XXX.XXX.XXX.XXX (ipv4:XXX.XXX.XXX.XXX:62823) connect to service testshare initially as user DOMAIN+administrator (uid=10500, gid=10513) (pid 738)
[2016/02/10 13:50:18.425720,  3] ../source3/smbd/smb2_notify.c:250(smbd_smb2_notify_send)
  smbd_smb2_notify_send: notify change called on ., filter = FILE_NAME|DIR_NAME, recursive = 1
[2016/02/10 13:50:18.522387,  2] ../source3/smbd/open.c:1005(open_file)
  DOMAIN+administrator opened file WinMD5.exe read=No write=No (numopen=2)
[2016/02/10 13:50:18.523093,  2] ../source3/smbd/close.c:780(close_normal_file)
  DOMAIN+administrator closed file WinMD5.exe (numopen=1) NT_STATUS_OK
[2016/02/10 13:50:18.523958,  2] ../source3/smbd/open.c:1005(open_file)
  DOMAIN+administrator opened file WinMD5.exe read=Yes write=No (numopen=2)
[2016/02/10 13:50:19.175577,  3] ../source3/smbd/dir.c:628(dptr_create)
  creating new dirptr 0 for path ., expect_close = 0
[2016/02/10 13:50:19.175740,  3] ../source3/smbd/dir.c:1187(smbd_dirptr_get_entry)
  smbd_dirptr_get_entry mask=[*] found . fname=. (.)
[2016/02/10 13:50:19.175848,  3] ../source3/smbd/dir.c:1187(smbd_dirptr_get_entry)
  smbd_dirptr_get_entry mask=[*] found .. fname=.. (..)
[2016/02/10 13:50:19.175916,  3] ../source3/smbd/dir.c:1187(smbd_dirptr_get_entry)
  smbd_dirptr_get_entry mask=[*] found WinMD5.exe fname=WinMD5.exe (WinMD5.exe)
[2016/02/10 13:50:19.176023,  3] ../source3/smbd/dir.c:1187(smbd_dirptr_get_entry)
  smbd_dirptr_get_entry mask=[*] found New Text Document.txt fname=New Text Document.txt (New Text Document.txt)
[2016/02/10 13:50:34.534637,  2] ../source3/smbd/close.c:780(close_normal_file)
  DOMAIN+administrator closed file WinMD5.exe (numopen=2) NT_STATUS_OK
root@Atlas:~ #
==========END OF FILE==========

If anyone has interest in reading the whole thread on the FreeBSD forums (I feel I copied the relevant information) then follow this link:
https://forums.freebsd.org/threads/smbd-high-cpu-utilization.55017/

So all of the above stated, any ideas on what I could do next to understand why smbd is spiking the CPU utilization when performing copy operations from the samba share to my windows server?